Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/23/2019 in all areas

  1. (defun c:lpp (/ entity pt acExtendBoth ANG ENT1 ENT2 HT LEV LEVI LEVIM LEVIP LW NPTYY NPTYYM NPTYYP P PLL PP PP1 PTPMIN1 X19 Y19 YI YIP acExtendNone FEAT FEATUR FILE LST LW P XI) ERROR : acExtendBoth and acExtendNone are AutoCAD constants. You are defining them as local variables in the lisp so they are set to nil. This gives the error. Solution : Remove them from the local variable list.
    1 point
  2. or replace acExtendNone with 0
    1 point
  3. Try to add to the lisp (vl-load-com)
    1 point
  4. Thank you @Roy_043 Simple I would like to insert a marker in my drawing this marker will open google streetview. If I move my marker I would like the page to refresh and update to the correct location. ;;----------------------------------------------------------------------------------;; (defun Openlinkinchrome (link / sa) (and (strcat link) (setq sa (vlax-get-or-create-object "Shell.Application")) (null (vlax-invoke sa 'shellexecute "chrome.exe" link)) (vlax-release-object sa) ) ) ;;----------------------------------------------------------------------------------;; (defun c:Demo (/ pnt) (if (not (tblsearch "BLOCK" "highlighter")) (alert "OOoops! Block does not exist in drawing!") (progn (command "_.Insert" "highlighter" pause 1 1 0) (setq pnt (utmgeo (getvar "lastpoint") 6378160.0 298.25 18 "N")) (setq a (rtos (cadr pnt) 2 8) b (rtos (car pnt ) 2 8)) (Openlinkinchrome (strcat "https://www.google.com/maps?ie=UTF8&layer=c&cbll=" a "," b "&cbp=1,0,,0,5&z=16")) ) ) ) ;;------------------------------------END-------------------------------------------;; utmgeo.VLX
    1 point
×
×
  • Create New...